LLVM::ABI -

# abstract class LLVM::ABI

- LLVM::ABI
- Reference
- Object

## Direct Known Subclasses

- LLVM::ABI::AArch64
- LLVM::ABI::ARM
- LLVM::ABI::X86
- LLVM::ABI::X86_64

## Defined in:

## Constructors

- .new(target_machine : TargetMachine)

## Instance Method Summary

- #abi_info(atys : Array(Type), rty : Type, ret_def : Bool, context : Context)
- #align(type : Type, pointer_size)
- #align(type : Type)
- #align_offset(offset, type)
- #osx? : Bool
- #size(type : Type, pointer_size)
- #size(type : Type)
- #target_data : TargetData
- #windows? : Bool

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(target_machine : TargetMachine) #

## Instance Method Detail

abstract def abi_info(atys : Array(Type), rty : Type, ret_def : Bool, context : Context) #
def align(type : Type, pointer_size) #
abstract def align(type : Type) #
def align_offset(offset, type) #
def osx? : Bool #
def size(type : Type, pointer_size) #
abstract def size(type : Type) #
def target_data : TargetData #
def windows? : Bool #